Skip to navigation

Get a node by ID.

View as Markdown
Retrieve a node by its id.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

nodeIdstringRequiredformat: "uuid">=1 character
The node UUID.

Response

Executed successfully.
clusterUuidstringformat: "uuid"
The id of the cluster.
createdAtdatetime
namestring
The name of the node
nodePoolstring
The node's NodePool.
statusenum
The calculated status of the node.
Allowed values:
updatedAtdatetime
conditionslist of objectsOptional
gpuInfoobjectOptional
idstringOptionalformat: "uuid"
The unique identifier of the node.
networkTopologyLabelslist of objectsOptional

A list of Kubernetes node label key/value pairs that represent the node’s position in the cluster’s network topology (for example, region, zone, block, rack, or hostname). The topology is attached to the node pool on which the workload runs. The label order represents the hierarchy, from farthest (first) to closest (last). These labels are used by the NVIDIA Run:ai Scheduler when making placement decisions.

numaobjectOptional

NUMA configuration and per-NUMA-node resource data for the node.

nvLinkCliqueIdstring or nullOptional
NV Link Clique Id
nvLinkDomainUidstring or nullOptional
NV Link Domain Uid
taintslist of objectsOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error